/*
 * Community 组件的组件路由
 */
import 'package:flutter/cupertino.dart';
import 'package:router/componentRouter/community_service.dart';
import 'package:flutter/material.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:riverpod_annotation/riverpod_annotation.dart';

import '../../modules/community/community_page.dart';

part 'community_component_service.g.dart';

@Riverpod(keepAlive: true)
CommunityService communityService(Ref ref) {
  return CommunityComponentService();
}

class CommunityComponentService extends CommunityService {
  @override
  void startCommunityPage() {
    CommunityPage.startInstance();
  }

}
